com.microfocus.awm.model.internal

## Class EnabledConditionChecker

- java.lang.Object
- - com.microfocus.awm.model.internal.EnabledConditionChecker

-     public class EnabledConditionChecker
      extends java.lang.Object

  Class to check if an Enabled Condition is fulfilled.
  Author:
    Ralf Pakosch
  See Also:
    `REnabledCondition`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnabledConditionChecker()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IEnabledConditionEvaluationResult` | `checkCondition(REnabledConditionBase pCond, IExecutionContext pContext)` Evaluates the condition based on the given context.
    `static IEnabledConditionEvaluationResult` | `checkCondition(REnabledConditionBase pCond, int pSelectionCount, IExecutionContext pContext)` Evaluates if an Enabled Condition is satisfied.
    `static IEnabledConditionEvaluationResult` | `checkCondition(REnabledConditionBase pEnabledCond, IResource[] pResources, ISystemImage pImg)` Calls `checkCondition(REnabledConditionBase, int, IExecutionContext)` for every given resource.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnabledConditionChecker

          public EnabledConditionChecker()

  - ### Method Detail

    - #### checkCondition

          public static IEnabledConditionEvaluationResult checkCondition(REnabledConditionBase pCond,
                                                                         int pSelectionCount,
                                                                         IExecutionContext pContext)

      Evaluates if an Enabled Condition is satisfied.
      Parameters:
        `pCond` - the condition to be checked
        `pSelectionCount` - the number of currently selected resources.
        `pContext` - the `IExecutionContext`
      Returns:
        an `IEnabledConditionEvaluationResult` instance. It contains information whether the enabled condition is satisfied.
      See Also:
        `REnabledCondition`

    - #### checkCondition

          public static IEnabledConditionEvaluationResult checkCondition(REnabledConditionBase pEnabledCond,
                                                                         IResource[] pResources,
                                                                         ISystemImage pImg)

      Calls `checkCondition(REnabledConditionBase, int, IExecutionContext)` for every given resource. Returns `false` as soon as one check is negative (`false`).
      Parameters:
        `pEnabledCond` - the enabled condition.
        `pResources` - an array of `IResource`s (only relevant for `RSelectionEnabledCondition` and `RSelectionVisibleCondition`)
        `pImg` - the `ISystemImage`
      Returns:
        an `IEnabledConditionEvaluationResult` which represents the evaluation result. The evaluation result will be satisfied if the check is positive for all given resources and not satisfied as soon as one check fails.

    - #### checkCondition

          public static IEnabledConditionEvaluationResult checkCondition(REnabledConditionBase pCond,
                                                                         IExecutionContext pContext)

      Evaluates the condition based on the given context.
      Parameters:
        `pCond` - the condition
        `pContext` - the context
      Returns:
        an `IEnabledConditionEvaluationResult` instance. It contains information whether the enabled condition is satisfied.

Copyright © 2015 Micro Focus GmbH. All rights reserved.